  enter.append('path')
    .attr('fill', function (d, i) { return color(i); })
    .attr('d', arc)
    .each(function(d) { this._current = d; }); // store the initial angles

// Store the displayed angles in _current.
// Then, interpolate from _current to the new angles.
// During the transition, _current is updated in-place by d3.interpolate.
function arcTween(a) {
  var i = d3.interpolate(this._current, a);
  this._current = i(0);
  return function(t) {
    return arc(i(t));
  };
}